Get the output files of an entity

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/entities/{entity_id}/output-files

Get the output files of an entity.

Path parameters

  • entity_id string(uuid) Required

    Entity unique identifier

Query parameters

  • output_type_id string(uuid)

    Get only the files of this output type

  • task_type_id string(uuid)

    Get only the files of this task type

  • file_status_id string(uuid)

    Get only the files with this file status

  • representation string

    Get only the files with this representation, for example abc or fbx

  • name string

    Get only the files with this name

Responses

  • 200 application/json

    The list of output files

    Hide response attributes Show response attributes object
    • id string(uuid)

      Output file unique identifier

    • name string

      Output file name

    • revision integer

      Output file revision

    • path string

      Output file path

    • updated_at string(date-time)

      Last update timestamp

    • entity_id string(uuid)

      Entity identifier

  • 403

    You do not have access to this project

  • 404

    The entity does not exist

GET /data/entities/{entity_id}/output-files
curl -X GET "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/output-files?output_type_id=b35b7fb5-df86-5776-b181-68564193d36&task_type_id=c46c8gc6-eg97-6887-c292-79675204e47&file_status_id=d57d9hd7-fh08-7998-d403-80786315f58&representation=cache&name=main" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/output-files"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "output_type_id": "b35b7fb5-df86-5776-b181-68564193d36",
    "task_type_id": "c46c8gc6-eg97-6887-c292-79675204e47",
    "file_status_id": "d57d9hd7-fh08-7998-d403-80786315f58",
    "representation": "cache",
    "name": "main"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "e68e02e8-0219-8009-e514-918974260690",
    "name": "main",
    "revision": 1,
    "path": "/project/asset/output/main_v001.mp4",
    "updated_at": "2023-01-01T12:00:00Z",
    "entity_id": "f79f13f9-1320-9010-f625-a09008537180"
  }
]